Package io.vertx.ext.unit.report

## Class ReportingOptions

- java.lang.Object
- - io.vertx.ext.unit.report.ReportingOptions

- Direct Known Subclasses:
    `TestOptions`

      public class ReportingOptions
      extends Object

  Reporting options:
  - the `reporters` is an array of reporter configurations
  Author:
    Julien Viet

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReportingOptions()` | Create a new empty options, with the default address out and no reporters.
    `ReportingOptions​(JsonObject json)` | Create a new options from the specified json.
    `ReportingOptions​(ReportingOptions other)` | Copy constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ReportingOptions` | `addReporter​(ReportOptions reportOptions)` | Add a reporter to the current list.
    `List<ReportOptions>` | `getReporters()` |
    `ReportingOptions` | `setReporters​(List<ReportOptions> reporters)` | Replace the current list of reporters with a new one.
    `JsonObject` | `toJson()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReportingOptions

          public ReportingOptions()

      Create a new empty options, with the default address out and no reporters.

    - #### ReportingOptions

          public ReportingOptions​(ReportingOptions other)

      Copy constructor.
      Parameters:
        `other` - the options to copy

    - #### ReportingOptions

          public ReportingOptions​(JsonObject json)

      Create a new options from the specified json.
      Parameters:
        `json` - the json to create from

  - ### Method Detail

    - #### getReporters

          public List<ReportOptions> getReporters()

      Returns:
        the current reporters options

    - #### addReporter

          public ReportingOptions addReporter​(ReportOptions reportOptions)

      Add a reporter to the current list.
      Parameters:
        `reportOptions` - the options of the reporter to use
      Returns:
        a reference to this, so the API can be used fluently

    - #### setReporters

          public ReportingOptions setReporters​(List<ReportOptions> reporters)

      Replace the current list of reporters with a new one.
      Parameters:
        `reporters` - the new reporters
      Returns:
        a reference to this, so the API can be used fluently

    - #### toJson

          public JsonObject toJson()

      Returns:
        the json modelling the current configuration